Change origin shielding
curl --request PUT \
--url https://api.gcore.com/cdn/resources/{resource_id}/shielding_v2 \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"shielding_pop": 4
}
'import requests
url = "https://api.gcore.com/cdn/resources/{resource_id}/shielding_v2"
payload = { "shielding_pop": 4 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({shielding_pop: 4})
};
fetch('https://api.gcore.com/cdn/resources/{resource_id}/shielding_v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shielding_pop": 4
}{
"errors": {
"shielding_pop": [
"Invalid pk \"{}\" - object does not exist."
]
}
}Origin shielding
Change origin shielding
Change origin shielding settings or disabled origin shielding.
PUT
/
cdn
/
resources
/
{resource_id}
/
shielding_v2
Change origin shielding
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
CDN resource ID.
Body
application/json
Shielding location ID.
If origin shielding is disabled, the parameter value is null.
Response
Successful.
The response is of type object.
Was this page helpful?
⌘I